Hooks:PostHook( WeaponFactoryTweakData, "init", "VINTAGEAttachmentStats", function(self) 

-- made by the_blu3j#1358
-- creation: 5/19/22

self.parts.wpn_fps_upg_m4_m_straight.stats = {
	concealment = 2, 
	reload = 3 
}
self.parts.wpn_fps_upg_m4_m_straight.override_weapon = {
	CLIP_AMMO_MAX = 25
}
self.parts.wpn_fps_upg_m4_m_straight.override_weapon_add = {
	AMMO_PICKUP = {2, 2}
}
end )
